require "db"
require "pg"

require "json"

PG_DB    = DB.open "postgres://postgres:postgres@127.0.0.1:5432/postgres"

PG_DB.exec("CREATE TABLE IF NOT EXISTS test4 (id SERIAL PRIMARY KEY, data JSONB)")

json = JSON.build do |json|
  json.object do
    json.field "xd", "xd"
  end
end

insert = <<-SQL
INSERT INTO test4 (data) VALUES ($1)
SQL

PG_DB.exec(insert, json)
result = PG_DB.query_one("SELECT data FROM test4 WHERE id = 1", as: JSON::Any)
puts result["xd"]

# update = <<-SQL
# UPDATE test4
# SET data = array_append(data, $1)
# WHERE id = $2
# SQL

# PG_DB.exec(update, json, 1)