require "db"
require "pg"

require "json"

PG_DB    = DB.open "postgres://postgres:postgres@127.0.0.1:5432/postgres"

PG_DB.exec("CREATE TABLE IF NOT EXISTS test2 (id SERIAL PRIMARY KEY, data JSONB)")

# json = %({ "xd": "xd" })

json = JSON.build do |json|
  json.object do
    json.field "xd", "xd"
  end
end

PG_DB.exec("INSERT INTO test2 (data) VALUES ($1)", json)

result = PG_DB.query_one("SELECT data FROM test2 WHERE id = 1", as: JSON::Any)

puts result["xd"]
